<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\QuizQuestionChoice;

class QuizQuestion extends Model
{
    use HasFactory;
    public function choices()
    {
        return $this->hasMany(QuizQuestionChoice::class, 'question_id');
    }
    public function category()
    {
        return $this->belongsTo(Category::class, 'cat_id');
    }
}
